Package org.apache.catalina.tribes

# Interface MessageListener

All Known Implementing Classes:
  `ChannelCoordinator`, `McastService`

public interface MessageListener
The listener to be registered with the ChannelReceiver, internal Tribes component.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(ChannelMessage msg)`
`void`
`messageReceived(ChannelMessage msg)`
Receive a message from the IO components in the Channel stack

## Method Details

### messageReceived

void messageReceived(ChannelMessage msg)
Receive a message from the IO components in the Channel stack

Parameters:
  `msg` - ChannelMessage

### accept

boolean accept(ChannelMessage msg)